import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'
import Home from '../views/Home.vue'
import Login from "../views/login/Login.vue"

const routes: Array<RouteRecordRaw> = [
  {
    path:"/mine",
    name:"Mine",
    component: () => import("../layout/Mine.vue"),
    children: [
      {
        path:"Archives",
        component: () => import("../views/mine/Archives.vue")
      }
    ]
  },
  {
    path: '/',
    name: 'Home',
    component: () => import(/* webpackChunkName: "about" */ '../components/NavTop.vue')
  },
 
  // {
  //   path: '/about',
  //   name: 'About',
  //   // route level code-splitting
  //   // this generates a separate chunk (about.[hash].js) for this route
  //   // which is lazy-loaded when the route is visited.
  //   component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  // }
  {
    path: '/archives',
    name: 'Archives',
    component: () => import('../views/mine/Archives.vue')
  },
  {
    path: '/login',
    name: 'Login',
    component:Login
  }
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})

export default router
